MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Add MCP to BundleCreate BundleRemove MCP from BundleDelete BundleClear Bundle-Entry Credential AssignmentFollow Public BundleGet BundleGet Public BundleList Approved Schema Revisions For A Bundle Entry's ListingUpdate Bundle Entry PermissionsUpdate BundleSet Bundle-Entry Credential AssignmentList BundlesUnfollow Public Bundle
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceBundles

Create Bundle

Bundles group MCP servers under one authenticated endpoint. Creating a bundle does not provision any servers by itself - add entries to it afterward, then issue a token scoped to the bundle for agents to connect with.

POST
/v1/bundles

Create a new bundle for the authenticated user.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/bundles" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "creator_id": "9cceffdd-8381-4074-8256-eafae24ebee6",  "creator_name": "string",  "is_public": false,  "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",  "org_name": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "tags": [],  "deployment_count": 0,  "featured_sort_order": 0,  "can_modify": false,  "entries": [],  "followed_bundle_ids": []}
{  "detail": "string",  "code": "string"}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Add MCP to Bundle

Previous Page

Remove MCP from Bundle

Next Page

name*Name
Length1 <= length <= 128
description?string|null
is_public?Is Public
Defaultfalse
org_id?|null
tags?array<string>
Default[]
forked_from_id?|null